Bug 196507 - gateway and DNS server not accepted for static IP address
gateway and DNS server not accepted for static IP address
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-06-23 16:12 EDT by Jeff Bastian
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-25 21:34:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeff Bastian 2006-06-23 16:12:01 EDT
Description of problem:
During the install of Fedora Core 6 Test 1, I configured my eth0 device for a
static IP address.  I entered in the IP addresses for my gateway and primary and
secondary DNS servers, but Anaconda complained that I did *not* enter this data.

Version-Release number of selected component (if applicable):

How reproducible:
Every time.

Steps to Reproduce:
1. Begin install of FC6 Test 1
2. Enter static IP address for eth0 and IP addresses for gateway and DNS server(s)
3. Watch Anaconda complain that you didn't enter the IP addresses for gateway
and DNS server(s)
Actual results:
Anaconda failed to accept the IP address for my gateway and primary DNS server

Expected results:
Anaconda should have used the IP addresses that I entered for my gateway and DNS

Additional info:
This was tested under VMware 5.5
Comment 4 Jay Cliburn 2006-06-23 17:31:50 EDT
I see the same behavior in an FC6T1 i386 native (non VMware) installation.
Comment 5 Armijn Hemel 2006-06-24 10:05:02 EDT
I can only add a "me too". DHCP seems to work just fine. Maybe the values of the
textfields are not set properly? I've tried several things (tabs after filling
in the values, pressing enter after filling in the right values), but that
didn't work.
Comment 6 Jarod Wilson 2006-06-25 00:27:08 EDT
Another me too on an x86_64 install. However, on a network install, the values I put in for IP address/
gateway/DNS before getting into the installer were carried over and populated the fields successfully. 
Trying to add anything else failed similar to what folks report above though. I presume not all the code 
got the necessary update treatment when adding IPv6 support. :)
Comment 7 Jeremy Katz 2006-06-25 21:34:43 EDT
I fixed this on Friday

Note You need to log in before you can comment on or make changes to this bug.